#!/bin/sh
if [ ! -f ../../../../../do-not-distribute/jtapi/jtapi.jar ]; then
  echo "Sun's Jtapi API is missing -- please download first"
	exit 1
fi
if [ ! -f ../../../../../do-not-distribute/jtapi/jtapi1_3-html.zip ]; then
  echo "Sun's Jtapi javadocs are missing -- please download jtapi1_3-html.zip"
	exit 1
fi
CONTRIB=../../../../../contrib
ANT=$CONTRIB/jakarta-ant
SUN=$CONTRIB/sun
PATH=/usr/jdk/bin:/usr/java1.2/bin:$PATH
CLASSPATH=$ANT/ant.jar:$SUN/parser.jar:$SUN/jaxp.jar:$CLASSPATH
CLASSPATH=/usr/jdk/lib/tools.jar:/usr/java1.2/lib/tools.jar:$CLASSPATH
export CONTRIB ANT SUN PATH CLASSPATH
java org.apache.tools.ant.Main $@
